Documentation Index
Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
This page isn’t applicable to ClickHouse Cloud. The feature documented here isn’t available in ClickHouse Cloud services.
See the ClickHouse Cloud Compatibility guide for more information.
users.xml or in local access control paths. Currently, Basic authentication scheme using GET method is supported.
HTTP authentication server definition
To define HTTP authentication server you must addhttp_authentication_servers section to the config.xml.
Example
http_authentication_servers section using distinct names.
Parameters
uri- URI for making authentication request
connection_timeout_ms- Default: 1000 ms.receive_timeout_ms- Default: 1000 ms.send_timeout_ms- Default: 1000 ms.
max_tries- The maximum number of attempts to make an authentication request. Default: 3retry_initial_backoff_ms- The backoff initial interval on retry. Default: 50 msretry_max_backoff_ms- The maximum backoff interval. Default: 1000 ms
Enabling HTTP authentication in users.xml
In order to enable HTTP authentication for the user, specify http_authentication section instead of password or similar sections in the user definition.
Parameters:
server- Name of the HTTP authentication server configured in the mainconfig.xmlfile as described previously.scheme- HTTP authentication scheme.Basicis only supported now. Default: Basic
users.xml):
Note that HTTP authentication cannot be used alongside with any other authentication mechanism. The presence of any other sections like
password alongside http_authentication will force ClickHouse to shutdown.Enabling HTTP authentication using SQL
When SQL-driven Access Control and Account Management is enabled in ClickHouse, users identified by HTTP authentication can also be created using SQL statements.Basic is default without explicit scheme definition
Passing session settings
If a response body from HTTP authentication server has JSON format and containssettings sub-object, ClickHouse will try parse its key: value pairs as string values and set them as session settings for authenticated user’s current session. If parsing is failed, a response body from server will be ignored.